Commit 09c988fa authored by Liguros - Gitlab CI/CD [feature/flatten]'s avatar Liguros - Gitlab CI/CD [feature/flatten]
Browse files

Updating liguros repo

parent e7814c9c
DIST alkimia-8.0.3.tar.xz 212780 BLAKE2B 4863bd2fba7e92518618da250b08772e288697eab9e45980c72c4a29d51f3df94899ead344a9dd5f16ea73cab8dc5596c696156f7da678a030623e77c766949c SHA512 04debd3adeba6380ffe7e9d3949e927dca12ecd7f83dea7b7ba6295b158272c636978c89800757166889e632fed09f3e8b3ce19adc9b91e3369e3b16a5b6cb1e
DIST alkimia-8.0.4.tar.xz 221108 BLAKE2B 90a89bfc76998aeec95989455d62b2a46e06e86f01b96d0a28e3226ec4228108b35a9ca9f8d50f95a32130e39b4954515e205f40d6aad6346bc9310fd31dff75 SHA512 49b771ac28ec76143cf1237a21a834fa38689c91c773a472cc090e94f49287a79ad7790ef068cd6bebc4e64aa97e5026a9ea5be841bbdb3ca89b00b6ca7acc27
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
ECM_TEST="forceoptional"
KDE_ORG_NAME="alkimia"
KFMIN=5.74.0
QTMIN=5.15.1
VIRTUALX_REQUIRED="test"
inherit ecm kde.org
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${KDE_ORG_NAME}/${PV}/${KDE_ORG_NAME}-${PV}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Library with common classes and functionality used by KDE finance applications"
HOMEPAGE="https://www.linux-apps.com/content/show.php/libalkimia?content=137323
https://community.kde.org/Alkimia"
LICENSE="LGPL-2.1"
SLOT="0/8"
IUSE="doc gmp plasma webengine"
BDEPEND="
virtual/pkgconfig
doc? ( app-doc/doxygen )
"
DEPEND="
>=dev-qt/qtdbus-${QTMIN}:5
>=dev-qt/qtdeclarative-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtnetwork-${QTMIN}:5
>=dev-qt/qtwidgets-${QTMIN}:5
>=kde-frameworks/kcompletion-${KFMIN}:5
>=kde-frameworks/kcodecs-${KFMIN}:5
>=kde-frameworks/kconfig-${KFMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/kdelibs4support-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/knewstuff-${KFMIN}:5
>=kde-frameworks/ktextwidgets-${KFMIN}:5
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
!gmp? ( sci-libs/mpir:=[cxx] )
gmp? ( dev-libs/gmp:0=[cxx] )
plasma? (
>=kde-frameworks/kpackage-${KFMIN}:5
>=kde-frameworks/plasma-${KFMIN}:5
)
webengine? ( >=dev-qt/qtwebengine-${QTMIN}:5 )
"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${PN}-8.0.3-cmake.patch" )
src_configure() {
local mycmakeargs=(
-DENABLE_FINANCEQUOTE=OFF
-DBUILD_TOOLS=ON
-DBUILD_WITH_WEBKIT=OFF
-DBUILD_DOXYGEN_DOCS=$(usex doc)
$(cmake_use_find_package !gmp MPIR)
-DBUILD_APPLETS=$(usex plasma)
-DBUILD_WITH_WEBENGINE=$(usex webengine)
)
ecm_src_configure
}
src_test() {
# Depends on BUILD_WITH_WEBKIT, bug 736128
local myctestargs=(
-E "(alkonlinequotestest)"
)
ecm_src_test
}
......@@ -5,5 +5,8 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<use>
<flag name="webengine">Use dev-qt/qtwebengine for embedded web browser widget</flag>
</use>
<origin>gentoo-staging</origin>
</pkgmetadata>
......@@ -12,16 +12,15 @@ SRC_URI="https://www.molspaces.com/dl/progs/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="+lzo webkit"
IUSE="+lzo"
DEPEND="
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtwebengine:5[widgets]
dev-qt/qtwidgets:5
lzo? ( dev-libs/lzo:2 )
!webkit? ( dev-qt/qtwebengine:5[widgets] )
webkit? ( dev-qt/qtwebkit:5 )
"
RDEPEND="${DEPEND}"
......@@ -33,11 +32,7 @@ src_prepare() {
sed -e "s|../AUTHORS ../COPYRIGHT ../LICENSE ../CHANGELOG||" \
-i src/src.pro || die
if use webkit; then
sed -i -e "s/qtHaveModule(webenginewidgets)/false/g" src/src.pro || die
else
sed -i -e "s/qtHaveModule(webkitwidgets)/false/g" src/src.pro || die
fi
sed -i -e "s/qtHaveModule(webkitwidgets)/false/g" src/src.pro || die
}
src_configure() {
......
......@@ -5,9 +5,6 @@
<email>qt@gentoo.org</email>
<name>Gentoo Qt Project</name>
</maintainer>
<use>
<flag name="webkit">Use <pkg>dev-qt/qtwebkit</pkg> instead of <pkg>dev-qt/qtwebengine</pkg></flag>
</use>
<upstream>
<bugs-to>mailto:webmaster@molspaces.com</bugs-to>
</upstream>
......
......@@ -14,7 +14,7 @@ SRC_URI="https://github.com/openscenegraph/${MY_PN}/archive/${PV}.tar.gz -> ${MY
LICENSE="wxWinLL-3 LGPL-2.1"
SLOT="0/145" # NOTE: CHECK WHEN BUMPING! Subslot is SOVERSION
KEYWORDS="amd64 ~ppc64 x86"
IUSE="examples webkit"
IUSE="examples"
RDEPEND="
>=dev-games/openscenegraph-3.6.3:=
......@@ -22,7 +22,6 @@ RDEPEND="
dev-qt/qtgui:5
dev-qt/qtopengl:5
dev-qt/qtwidgets:5
webkit? ( dev-qt/qtwebkit:5 )
"
DEPEND="${RDEPEND}"
BDEPEND="
......@@ -41,8 +40,7 @@ src_configure() {
-DDYNAMIC_OPENSCENEGRAPH=ON
-DDESIRED_QT_VERSION=5
-DBUILD_OSG_EXAMPLES=$(usex examples)
$(cmake_use_find_package webkit Qt5WebKitWidgets)
-DCMAKE_DISABLE_USE_FIND_PACKAGE_Qt5WebKitWidgets=ON
)
cmake_src_configure
}
......@@ -3,6 +3,9 @@ DIST OpenJDK11U-jdk_arm_linux_hotspot_11.0.8_10.tar.gz 182327847 BLAKE2B ad71bfd
DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.8_10.tar.gz 176566452 BLAKE2B 584adc02d816cda72e5396d9e2a34768fe9c1ad3f6b37ad4b599ee45ee008389d7bec93ca983aec3e91995fa05548137f4ecb5c84b524333e0c7a35c5fc917ec SHA512 ab7768556488f0d13c3868e65ee22bedfaffc904d2b6af6d1c0ad48a382c2bc761dce99bd3a196e4ddd2a67f56019774a84edeab7db3e9e4650ef020f0d2e0a5
DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.8_10.tar.gz 193398310 BLAKE2B 079f48381bf58edb7b9b75f4305df72184710c90101588fccce4edb0535b976b2f6332b66fdd8cf8b442eebbeee5a6044e0445519f9bbd8ed20b02f50e9fc203 SHA512 115b5627d6d1245f8393e3cd869bdb7accb42c35bc0e9030fb60701f61253ea8ce382edec75ded85ff5b0a0c8bbfbecdec81b16aef87fb6fc76c684628abf1e5
DIST OpenJDK8U-jdk_aarch64_linux_hotspot_8u265b01.tar.gz 103150208 BLAKE2B 70880514e63402b740554cde3eba80106e2494d354751a620e54cde0376cebbf1ca5c2b10b0c340f59d9d1f390791c07ba39b13e72c938872e2a8b102b608f34 SHA512 37d9efe9c087dae9c180ee47e9f4f010e7726f4578edb5638d40ab4aea450912e3fa5e1d9254f6290779f43ffb5b0c6d1e3e9ac42c889b0c50072645deadbddb
DIST OpenJDK8U-jdk_aarch64_linux_hotspot_8u272b10.tar.gz 103598972 BLAKE2B 34ee2fc6a1cf23c9c04522a82f74ba60c53cc461e370c8aa88d6b62b4c4539e96d233a232f38390b9f0932768c5fb662a44e425d0f5bebbf982c657686b163d7 SHA512 5b44f094219daf383743d463c50917c2d60b289187e363748c3a4dc16471d84e4d28b6bc30879d137b79645f7ce977c755e8a5714bc272e012bce900f3db8ea4
DIST OpenJDK8U-jdk_arm_linux_hotspot_8u265b01.tar.gz 97641656 BLAKE2B 76d24e975c2ec173b6b4806d145f79d02828e12e2dd412b60a921648fba20920b3b69b03630ece8d5cefeaf408dad01573b15db7f4a7bbdd024806a7b01bd6ae SHA512 8f96d73038579d2873b84d19bfbcc7f481b031a91c35d86d35e127951b6c743a6a1d5230a61ebcacddf854b73c55b18cc53112b9a2759b283254bf93fd691459
DIST OpenJDK8U-jdk_ppc64le_linux_hotspot_8u265b01.tar.gz 100453105 BLAKE2B e57230d5f90821cb8f4c35baf0e5a9580164ad7df10ac67a528b959154317ea14b7bc0dd5c530a2b826ab6322611ddf2387617bc8dd1f444039b00a778a30025 SHA512 6de5694d0415e905848cc99ec6863e96640fca3ded4e851528c794dad82a0961e097f64f8338304d9325357729ae9ea5bc5d2eceecefebdad69a14bc7b50194a
DIST OpenJDK8U-jdk_ppc64le_linux_hotspot_8u272b10.tar.gz 100818464 BLAKE2B b2666ed3bf564bdbac874320805f622a1bd80809cf2c402ee393ed585c7ae9e7aa6fcf0e69f70fde16ef5d3a2059ff2979013865112c455cb64761c521a04578 SHA512 bfc138bbb979c23fdb154fa3f7e61ae71b0703a839c9495a470544205c80511ab090f0e52e228050e38606e24c2912092ef601347a9a3979f3a7a25d1ca15ce3
DIST OpenJDK8U-jdk_x64_linux_hotspot_8u265b01.tar.gz 103157351 BLAKE2B efd8a4bcab5472c9775997713b09ab9e94ef4636564f07392263d6963850e07dc07569b2c066856846c16229f1641c169eecedcbb61533067af330262f07b927 SHA512 932fe2702aa3575bcb08d01e384fbd6a49768280931fdc1fb56314656343dc2f8e5b2650c8d72369d0294ac6024df0a142fd14cb0768f9aa7831aa986679e9ae
DIST OpenJDK8U-jdk_x64_linux_hotspot_8u272b10.tar.gz 103650413 BLAKE2B 6fd50cdefa5daf6d155000b653b695511953d486ba9f4bf7426caf8dc6d7b7d3cf46c4426982a400c19a6fe0f6eb557a232853c3e4211e1961e8aa890c1721cf SHA512 22a4b5c27d2fad79b7bf8a8ae896a9b30e3d303bb4ca30611dbbb1f5811f4524a98c44a68c4546906f566b7d672f6ab48d10cf270870c1b86e7a7688d249c555
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eapi7-ver java-vm-2
abi_uri() {
echo "${2-$1}? (
https://github.com/AdoptOpenJDK/openjdk${SLOT}-binaries/releases/download/jdk${MY_PV}/OpenJDK8U-jdk_${1}_linux_hotspot_${MY_PV/-/}.tar.gz
)"
}
MY_PV=$(ver_rs 1 'u' 2 '-' ${PV//p/b})
SLOT="$(ver_cut 1)"
DESCRIPTION="Prebuilt Java JDK binaries provided by AdoptOpenJDK"
HOMEPAGE="https://adoptopenjdk.net"
SRC_URI="
$(abi_uri aarch64 arm64)
$(abi_uri ppc64le ppc64)
$(abi_uri x64 amd64)
"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64 ~arm64 ~ppc64"
IUSE="alsa cups examples headless-awt selinux source"
RDEPEND="
media-libs/fontconfig:1.0
media-libs/freetype:2
>=sys-apps/baselayout-java-0.1.0-r1
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
arm? ( dev-libs/libffi-compat:6 )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)
"
RESTRICT="preserve-libs strip"
QA_PREBUILT="*"
S="${WORKDIR}/jdk${MY_PV}"
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
rm ASSEMBLY_EXCEPTION LICENSE THIRD_PARTY_README || die
# this does not exist on arm64 hence -f
rm -fv jre/lib/*/libfreetype.so* || die
if ! use alsa ; then
rm -v jre/lib/*/libjsoundalsa.so* || die
fi
if ! use examples ; then
rm -vr sample || die
fi
if use headless-awt ; then
rm -fvr {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
{,jre/}bin/policytool bin/appletviewer || die
fi
if ! use source ; then
rm -v src.zip || die
fi
rm -v jre/lib/security/cacerts || die
dosym ../../../../../etc/ssl/certs/java/cacerts \
"${dest}"/jre/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}
DIST OpenJDK11U-jre_x64_linux_hotspot_11.0.8_10.tar.gz 42904191 BLAKE2B cfd04b2a422e95465cd2938449f7632d29fe655eadadf5745045db6eb74625dffa0e02d8713a93e0bc8fa7da6dc57116fbbd9217a9b30723becd5b9eaceefccd SHA512 55ab4c6122422f4765542df747bce5c65bc78e0e5f4fff4b7efc95342d81eb34d72dbdc13c820781c626f92a2c3687161d0c7edfbe4f83c455c75fcecf8ae3d0
DIST OpenJDK8U-jre_x64_linux_hotspot_8u265b01.tar.gz 41757024 BLAKE2B 39c184654dd5c4c17c617a48e962a392e3a4aaebe56a4286b6e5b0e980345b7260effbc54e2b197f8b747c57856e5260a048cf572cd4f375a2b38f3abebbde2f SHA512 01090a26bb18d226da19c82fca173f0d994ba56562178757347b565d39989b6735f5ff37bb22163c9ea270380fe922098bd0efa87d52615b50cde9f0e8291095
DIST OpenJDK8U-jre_x64_linux_hotspot_8u272b10.tar.gz 42139854 BLAKE2B 52e7a594aab1a70d351daf9dc42598b4952894a9a72ed996e261e347eece4337fe95c5f63850a0dde2d8862045d22ef41832a6af51df5113b81713bab20c797e SHA512 2fd45a9b967e96309c79724fea047d7c35f31da8e0290bd5cdafeea47b83941b9269129d0d557ee488526c0667ba581dee860381fc344374971e1005105db376
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eapi7-ver java-vm-2
abi_uri() {
echo "${2-$1}? (
https://github.com/AdoptOpenJDK/openjdk${SLOT}-binaries/releases/download/jdk${MY_PV}/OpenJDK8U-jre_${1}_linux_hotspot_${MY_PV/-/}.tar.gz
)"
}
MY_PV=$(ver_rs 1 'u' 2 '-' ${PV//p/b})
SLOT="$(ver_cut 1)"
DESCRIPTION="Prebuilt Java JRE binaries provided by AdoptOpenJDK"
HOMEPAGE="https://adoptopenjdk.net"
SRC_URI="
$(abi_uri x64 amd64)
"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64"
IUSE="alsa cups headless-awt selinux"
RDEPEND="
media-libs/fontconfig:1.0
media-libs/freetype:2
>net-libs/libnet-1.1
>=sys-apps/baselayout-java-0.1.0-r1
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)"
RESTRICT="preserve-libs splitdebug"
QA_PREBUILT="*"
S="${WORKDIR}/jdk${MY_PV}-jre"
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
rm ASSEMBLY_EXCEPTION LICENSE THIRD_PARTY_README || die
# this does not exist on arm64 hence -f
rm -fv lib/*/libfreetype.so* || die
if ! use alsa ; then
rm -v lib/*/libjsoundalsa.so* || die
fi
if use headless-awt ; then
rm -fvr lib/*/lib*{[jx]awt,splashscreen}* \
bin/policytool || die
fi
rm -v lib/security/cacerts || die
dosym ../../../../../etc/ssl/certs/java/cacerts \
"${dest}"/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}
DIST libfilezilla-0.20.2.tar.bz2 549679 BLAKE2B 929c535ed7ad65fb35bc7f3a21c827ff51d01e387f383bf677f86b78aa79deafa81781eee87afe3c9c8a4d48c60ea02f7fff45b4e469f3755511c9b11001dc88 SHA512 242df38b335558c83fde91800787992adaa617292d119a15d8036adc1622b207127d0e8e6fb935b4300e1e0d63e196636589ba513e410c751dea052164a773d7
DIST libfilezilla-0.21.0.tar.bz2 552491 BLAKE2B fb2729c1c2616b4dbdc292651fd5afe85fdcd77dd70d179605f737539dd4db54c95aeff9053131076241ca57317b2361a201f6fae381c374e81ca4bc250cf1ea SHA512 a4986f8da4ac6980e7b1e564d3b033853b0e5442e4bbdee337238ad5e896b80c74e7176f973055593bd45789c41725a6315c6d510ad44354588188a1cc9f29f9
DIST libfilezilla-0.22.0.tar.bz2 557320 BLAKE2B 864f286844a3693ae1aa9f0176dbcf32a6a483174aa4b29e23ebccd309f88e97cb84368b3b5d22f07f94d396885b992e2e2e4b2f64bfec490bbcb898c88e0dc5 SHA512 6ec53a4d82dc4c6650c560633c1f1cd50866fd954d5153be7e9ebea3ee0fa38d287e16dfdccb9ad22a7e7a325eec5d659bc51dd963b2deb540e8206e0f45513e
DIST libfilezilla-0.23.0.tar.bz2 560028 BLAKE2B f5ef9001babc1cdf5f36ecaa88aacdbab99d2f65fb6554296c54ed63c6131cc03f16b92635b7c71375b94394d02b0596500c6c796c4efa6fc2c74f561c640d1b SHA512 a69040b7767e4568ba155adce67a5755b2947a73626bad89c89c88c773cb99147349ec5c3b8cc746715c9270b54ac6bc70fd57c77fe125b2dc6753669dfe93d7
DIST libfilezilla-0.24.0.tar.bz2 560451 BLAKE2B 2806820e3aca63e1a018b01b990e7580c53d32d6e0e519a316a172a516c4b24aa38e5e1847fb40db7d21c22b68caffdafd3701273ac96561305661b9b8a86716 SHA512 f5fd2ca426235e03e26209b975e2eda4763ef1bef16a1b424ce4a248245163038d4e56089d523d77b8370f52a2947873d8439f4fc9478ba57fcef453c2f54861
DIST libfilezilla-0.24.1.tar.bz2 560439 BLAKE2B f4848149839fa121ed856726769a9517932ab0b34dd19696d66bd15ad8208fa0bb3e7dbf9cb31baeabea02ec6e0b7d0c8e48fbca3956c26251dcbbb4332c727c SHA512 f9075bb88e5c10617d21fb7b49f7e9bd38567eeca3c4a1cd8b1e20354b1e3da95f05618897cefa6758c7843efd9833230843f77a0c23e7019cf22c950e7e8e8c
DIST libfilezilla-0.25.0.tar.bz2 562726 BLAKE2B 8e6f381d2eb00445b4553418aafca750ee2a49a10410fe8de0f31ee15a3d33bf679ee1a10bc6e77800747d14bd79e0e90a585a8a090a09e55adb392a96020907 SHA512 7c07807a6d11f3455e41c9593ddeab8b5947448c5205f10e1e7306e0df27df24821189c75167007e00671b5d573ded72208e6f923406e37e8e5e3c28181ebe1a
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="C++ library offering some basic functionality for platform-independent programs"
HOMEPAGE="https://lib.filezilla-project.org/"
SRC_URI="https://download.filezilla-project.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/6" # libfilezilla .so version
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/nettle:0=
>=net-libs/gnutls-3.5.7:=
"
DEPEND="${RDEPEND}
test? ( dev-util/cppunit )"
pkg_pretend() {
if [[ ${MERGE_TYPE} != binary ]]; then
if ! test-flag-CXX -std=c++14; then
eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
eerror "to gcc-4.9 or an equivalent version supporting C++14."
die "Currently active compiler does not support -std=c++14"
fi
fi
}
src_install() {
default
find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="C++ library offering some basic functionality for platform-independent programs"
HOMEPAGE="https://lib.filezilla-project.org/"
SRC_URI="https://download.filezilla-project.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/7" # libfilezilla .so version
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/nettle:0=
>=net-libs/gnutls-3.5.7:=
"
DEPEND="${RDEPEND}
test? ( dev-util/cppunit )"
pkg_pretend() {
if [[ ${MERGE_TYPE} != binary ]]; then
if ! test-flag-CXX -std=c++14; then
eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
eerror "to gcc-4.9 or an equivalent version supporting C++14."
die "Currently active compiler does not support -std=c++14"
fi
fi
}
src_install() {
default
find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="C++ library offering some basic functionality for platform-independent programs"
HOMEPAGE="https://lib.filezilla-project.org/"
SRC_URI="https://download.filezilla-project.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/8" # libfilezilla .so version
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/nettle:0=
>=net-libs/gnutls-3.5.7:=
"
DEPEND="${RDEPEND}
test? ( dev-util/cppunit )"
pkg_pretend() {
if [[ ${MERGE_TYPE} != binary ]]; then
if ! test-flag-CXX -std=c++14; then
eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
eerror "to gcc-4.9 or an equivalent version supporting C++14."
die "Currently active compiler does not support -std=c++14"
fi
fi
}
src_install() {
default
find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
}
......@@ -9,7 +9,7 @@ HOMEPAGE="https://lib.filezilla-project.org/"
SRC_URI="https://download.filezilla-project.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/9" # libfilezilla.so version
SLOT="0/10" # libfilezilla.so version
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
IUSE="test"
......
DIST libjcat-0.1.3.tar.gz 63765 BLAKE2B a9847fe2a93f49773ba6451036d7908b8b615a6334557a68c94db3c402e1f502e2915bb1abc9f58c495fe1453cb5653cae9b548d2f9d7b39dcd5d7824e965bc2 SHA512 f021e10d740ac6d0f0c73cefc9deacdbc74882a5e340b249c28427ece4917358940413914ce19c5aac96c86d8056349ff2ee633c2a9541f4382f109d9e0d9e69
DIST libjcat-0.1.4.tar.gz 63900 BLAKE2B 509a9916aa77193835e5a29a152acb0eb1cee24b6aae3e256dee42c1fd598b9c181009cdea4c276cc0d8c8cb56d22b9073f44dd11b7fab59d29df3633af6d042 SHA512 d58860410ce6e9d35a1eefcd0c6fcd956db42a12a3e8f856e19e3abe8bd6ae304ab7a60e2c1ee28f3848f2fee3b406dd900d7c1024eca5602797711528d3f7e3
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
PYTHON_REQ_USE="xml"
inherit meson python-any-r1 vala xdg-utils
DESCRIPTION="Library and tool for reading and writing Jcat files "
HOMEPAGE="https://github.com/hughsie/libjcat"
SRC_URI="https://github.com/hughsie/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="gpg gtk-doc +introspection +man pkcs7 test vala"
RDEPEND="dev-libs/glib:2
dev-libs/json-glib:=
gpg? (
app-crypt/gpgme
dev-libs/libgpg-error
)
introspection? ( dev-libs/gobject-introspection:= )
pkcs7? ( net-libs/gnutls )
vala? ( dev-lang/vala:= )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig
$(python_gen_any_dep '
dev-python/setuptools[${PYTHON_USEDEP}]
')
gtk-doc? ( dev-util/gtk-doc )
man? ( sys-apps/help2man )
test? ( net-libs/gnutls[tools] )"
RESTRICT="!test? ( test )"
PATCHES=(
"${FILESDIR}"/${PN}-0.1.1-disable_installed_tests.patch
"${FILESDIR}"/${PN}-0.1.3-optional_vala.patch
)
python_check_deps() {
has_version -b "dev-python/setuptools[${PYTHON_USEDEP}]"
}
src_prepare() {
xdg_environment_reset
use vala && vala_src_prepare
default
}
src_configure() {
local emesonargs=(
$(meson_use gtk-doc gtkdoc)
$(meson_use gpg)
$(meson_use introspection)
$(meson_use man)
$(meson_use pkcs7)
$(meson_use test tests)
$(meson_use vala vala-bindings)
)
meson_src_configure
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1
TEST_P=GitPython-${PV}
GITDB_P=gitdb-4.0.5
SMMAP_P=smmap-3.0.4
DESCRIPTION="Library used to interact with Git repositories"
HOMEPAGE="https://github.com/gitpython-developers/GitPython https://pypi.org/project/GitPython/"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
test? (
https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
)"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-vcs/git
>=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]"
BDEPEND="
test? (
>=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
)"